#include <iostream>

using namespace std;
int main() {
    int n, m;
    cin >> n >> m;
    bool kraj = false;
    int prva = -1;
    for (int i = 0; i < n; i++) {
        int broj;
        cin >> broj;
        if (i == 0)
            prva = broj;
        if (kraj) {
            cout << broj;
            return 0;
        }
        if (broj == m)
            kraj = true;
    }
    cout << prva;
    return 0;
}